Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.appconn.appimpl
Class MSMQClientApplicationImpl

    java.lang.Object
      com.stc.connector.msmqadapter.appconn.appimpl.MSMQClientApplicationImpl

All Implemented Interfaces:
  MSMQClientApplication

    public class MSMQClientApplicationImpl

extends java.lang.Object
implements MSMQClientApplication

Implements MSMQClientApplication which exposes operations available for the client application.

Constructor Summary
`MSMQClientApplicationImpl(MSMQApplicationConnection appConn)` Constructor.

Method Summary
`void` | `connect()` Creates the physical connection to the underlying EIS system.
`void` | `disconnect()` Closes the physical connection to the underlying EIS system.
`MSMQConfiguration` | `getEwayConfiguration()` Returns the MSMQConfiguration object.
`byte[]` | `getMsgBody()` Returns the MsgBody
`MSMQConfiguration` | `getMSMQConfiguration()` Returns the MSMQConfiguration object
`void` | `getMSMQMessage()`
`void` | `putMSMQMessage()`
`void` | `setMsgBody(byte[] MsgBody)` Sets the MsgBody

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSMQClientApplicationImpl

    public MSMQClientApplicationImpl(MSMQApplicationConnection appConn)

  Constructor.

  Parameters:
    `appConn` - The MSMQApplicationConnection instance.

Method Detail

### getMSMQConfiguration

    public MSMQConfiguration getMSMQConfiguration()

  Returns the MSMQConfiguration object

  Returns:
    An MSMQConfiguration object with MSMQ connection information.

### setMsgBody

    public void setMsgBody(byte[] MsgBody)

  Sets the MsgBody

  Specified by:
    `setMsgBody` in interface `MSMQClientApplication`
  Parameters:
    `attrname` -

### getMsgBody

    public byte[] getMsgBody()

  Returns the MsgBody

  Specified by:
    `getMsgBody` in interface `MSMQClientApplication`
  Returns:
    MsgBody

### connect

    public void connect()
                 throws MSMQApplicationException

  Creates the physical connection to the underlying EIS system.

  Specified by:
    `connect` in interface `MSMQClientApplication`
  Throws:
    `MSMQApplicationException`

### disconnect

    public void disconnect()
                    throws MSMQApplicationException

  Closes the physical connection to the underlying EIS system.

  Specified by:
    `disconnect` in interface `MSMQClientApplication`
  Throws:
    `MSMQApplicationException`

### getMSMQMessage

    public void getMSMQMessage()
                        throws MSMQException

  Specified by:
    `getMSMQMessage` in interface `MSMQClientApplication`
  Throws:
    `MSMQException`

### putMSMQMessage

    public void putMSMQMessage()
                        throws MSMQException

  Specified by:
    `putMSMQMessage` in interface `MSMQClientApplication`
  Throws:
    `MSMQException`

### getEwayConfiguration

    public MSMQConfiguration getEwayConfiguration()

  Returns the MSMQConfiguration object.

  Specified by:
    `getEwayConfiguration` in interface `MSMQClientApplication`
  Returns:
    the MSMQConfiguration instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD